package pwgenerator

import (
	"errors"
)

var (
	ErrBadType               error = errors.New("cannot typeswitch; unsupported type")
	ErrEmptyCharsets         error = errors.New("empty character set/no character sets selected")
	ErrIncompatCharsetFilter error = errors.New("the selected minimum requirements are not possible with selected/enabled charsets")
	ErrSwitchedLenLimits     error = errors.New("the max password length is shorter than the minimum password length")
	ErrTooSmall              error = errors.New("password max length too short for specified required chars")
)
